Head Blacksmith Bronk:
The Black Anvil Guild is truly the driving force of the Dwarves' prosperity. While other races were Brandishing their bamboo spears and stone axes, our ancestors had already mastered bronze tools and were studying the secrets of Steel. The Black Anvil Guild continues the traditions of our ancestors through precise workmanship and a noble spirit of craftsmanship.
Our guild has produced all the great craftsmen of the Dwarven society. Our Mithril weapons and adamantite armor are traded at the highest prices in any market. Also, our guild members study the lost science and technology of the giants more deeply than anyone else. The siege golems and airships that we alone create are the results of such studies.
Return